Bug 999155 - [PATCH] add 'errors only' reporting option for yum-cron
[PATCH] add 'errors only' reporting option for yum-cron
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
19
All Linux
unspecified Severity low
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 16:18 EDT by jcpunk
Modified: 2015-02-17 11:51 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1040619 (view as bug list)
Environment:
Last Closed: 2015-02-17 11:51:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to implement behavior (5.34 KB, application/mbox)
2013-08-20 16:18 EDT, jcpunk
zpavlas: review+
Details

  None (edit)
Description jcpunk 2013-08-20 16:18:07 EDT
Created attachment 788633 [details]
Patch to implement behavior

Description of problem: I've got a large number of workstations that all have yum-cron enabled for package installation.  I don't care if they installed the updates successfully - but I do care if they didn't.

I've attached a patch to allow you to only report errors with yum-cron


Version-Release number of selected component (if applicable): 3.4.3-106.fc19


How reproducible: 100%

Steps to Reproduce:
1. run yum-cron on a system where it errors
2. run yum-cron on a system where it succeeds
3. wish you could only get reports from #1 

Actual results:
reporting always occurs

Expected results:
The ability to trim down what it reports to just systems with errors

Additional info:

A patch to add this behavior is attached.
Comment 1 Zdeněk Pavlas 2013-08-26 07:40:05 EDT
http://lists.baseurl.org/pipermail/yum-devel/2013-August/010334.html

I've already written something similar, but this gets rid of more messages, and correctly handles the self.output==[] case, so I like it. Do you think that adding an extra option is better than just honoring the loglevel settings?
Comment 2 jcpunk 2013-08-26 09:06:01 EDT
Using loglevel for this seems great to me!  Just need to make sure that the reduction in reporting is well documented so everyone knows how to get this behavior.
Comment 3 jcpunk 2013-10-21 15:50:55 EDT
Just checking back in, log_level seems like the right direction for this.  Any hope of getting your patches at : http://lists.baseurl.org/pipermail/yum-devel/2013-August/010334.html merged?
Comment 4 Fedora End Of Life 2015-01-09 14:32:11 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 11:51:16 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.